LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

I recieve the following error when running an executable ("This VI is not Executable. The full development version of Labview is required to fix the errors"

I recieve the following error when trying to build and run a labview executable. I am able to build the executable but when trying to run the executable, a pop up window comes up asking the user to select a dll. (please see screen shot attached). Once the DLL is selected, I get the error that This VI is not Executable. The full development version of Labview is required to fix the errors. (please see screen shot attached). I have also attached a snapshot of the project window.

 

I have the professional development system

I can run the main VI

all the required DLL's are in the dependencies section of the project window.

 

I am trying to find the root cause of this error but to no avail. can anyone give me a clue to what i am missing here. Any suggestions on where i should look to find the problem ?

 

Thanks in advance to all labview users for your help

 

0 Kudos
Message 1 of 3
(1,085 Views)

Are you dynamically calling any VIs from your top level VI?  Also, can you post a screenshot of the block diagram of the main VI?

James K.
National Instruments
Applications Engineer
0 Kudos
Message 3 of 3
(1,053 Views)